Provider Notes
This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API.
curl --request POST
--url {{BASE_URL}}/minimaxi/v1/t2a_async_v2
--header 'Authorization: Bearer <token>'
--header 'Content-Type: <content-type>'
--data '{
"model": "speech-2.6-hd",
// provider-specific example normalized for English documentation
"language_boost": "auto",
"voice_setting": {
"voice_id": "audiobook_male_1",
"speed": 1,
"vol": 1,
"pitch": 1
},
"pronunciation_dict": {
"tone": [
"dangerous"
]
},
"audio_setting": {
"audio_sample_rate": 32000,
"bitrate": 128000,
"format": "mp3",
"channel": 2
},
"voice_modify": {
"pitch": 0,
"intensity": 0,
"timbre": 0,
"sound_effects": "spacious_echo"
}
}'{
"task_id": 95157322514444,
"task_token": "eyJhbGciOiJSUz",
"file_id": 95157322514444,
"usage_characters": 101,
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}This section contains endpoint-specific behavior, parameters, or usage notes for this API. This section contains endpoint-specific behavior, parameters, or usage notes for this API.
curl --request GET
--url {{BASE_URL}}/minimaxi/v1/query/t2a_async_query_v2?task_id=95157322514444'
--header 'Authorization: Bearer <token>'{
"task_id": 95157322514444,
"status": "Processing",
"file_id": 95157322514496,
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}